FROM alpine

LABEL maintainer="Tatsuo Nakajyo <tnak@nekonaq.com>"

RUN set -xe \
&& apk upgrade --update \
&& apk add --no-cache bash openssl \
;

COPY easy-rsa/easyrsa3 /usr/share/easy-rsa
COPY docker-entrypoint /

VOLUME /easyrsa
WORKDIR /easyrsa

ENV PATH /usr/share/easy-rsa:$PATH
ENV EASYRSA_PKI /easyrsa/pki

ENTRYPOINT ["/docker-entrypoint"]
